Search Strikes For An Underlier

View as MarkdownOpen in Claude

Returns lists of valid strikes for options contracts on a given underlier, for all currently trading expirations. The /iserver/secdef/search endpoint must be called prior for the underlying. Otherwise empty arrays will return for “puts” and “calls”.

Query parameters

conidstringRequired
sectypeenumRequired
Security type of the requested contract of interest. Valid asset classes are: * `FOP` - Futures Option * `OPT` - Option * `WAR` - Warrant
Allowed values:
monthstringRequired
exchangestringOptionalDefaults to SMART

Response

Successful response containing a contract's security definition.
calllist of doubles
Array containing a series of comma separated values representing potential call strikes for the instrument.
putlist of doubles
Array containing a series of comma separated values representing potential put strikes for the instrument.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error